## lmfit-py 0.8.0+dfsg.1

=== debian/changelog ===
lmfit-py (0.8.0+dfsg.1-1) unstable; urgency=medium

  * Imported Upstream version 0.8.0+dfsg.1
  * Remove all patches (applyed upstream)
  * Add the doc-base registration

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 31 Aug 2014 10:56:03 +0200

lmfit-py (0.7.4+dfsg.2-1) unstable; urgency=low

  * Initial release (Closes: #741078)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 07 Mar 2014 09:05:26 +0200
