=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/lmfit-py-$1\.tar\.gz/ \
  https://github.com/lmfit/lmfit-py/releases .*/v?([\d\.]*)\.tar\.gz
