## lmfit-py 0.9.2+dfsg

=== debian/changelog ===
lmfit-py (0.9.2+dfsg-2) unstable; urgency=medium

  * fix the autopkgtest scripts

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 29 Nov 2015 11:37:55 +0100

lmfit-py (0.9.2+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.9.2+dfsg (Closes: #802085)
  * Use the pypi redirector

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 31 Oct 2015 08:20:22 +0100

lmfit-py (0.8.3+dfsg.1-1~exp1) experimental; urgency=medium

  * Imported Upstream version 0.8.3+dfsg.1
  * Run the test suite during the build
  * Standards-Version bumped to 3.9.6 (no other changes required)
  * Add the autopkgtest test suite.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 30 Dec 2014 14:18:53 +0100
