=== debian/control ===
--- 
+++ 
@@ -6,25 +6,34 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                dvipng,
-               ipython,
+               ipython-notebook,
+               ipython3-notebook,
                python-all,
                python-matplotlib,
+               python-nose,
                python-numpy,
                python-numpydoc,
+               python-pandas,
                python-scipy,
                python-setuptools,
                python-sphinx,
+               python-tk,
                python3-all,
+               python3-matplotlib,
+               python3-nose,
                python3-numpy,
+               python3-pandas,
                python3-scipy,
                python3-setuptools,
+               python3-tk,
                texlive-latex-extra
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/lmfit-py.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/lmfit-py.git
 Homepage: http://lmfit.github.io/lmfit-py/
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
+Testsuite: autopkgtest
 
 Package: python-lmfit
 Architecture: all
