=== debian/watch ===
version=3
opts=repacksuffix=+dfsg,\
dversionmangle=s/.dfsg//,\
uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/lmfit/lmfit-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
