## lmfit-py 0.9.3+dfsg

=== requirements.txt ===
numpy>=1.5
scipy>=0.13
