=== debian/changelog ===
lmfit-py (0.9.3+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.9.3+dfsg
  * fix the autopkgtest scripts
  * Use cme to update the package
  * Standards-Verion bumped to 3.9.7 (nothing to do)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 31 Mar 2016 18:46:36 +0200
