=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
+Testsuite: autopkgtest
 Priority: extra
 Build-Depends: debhelper (>= 9),
                dh-python,
@@ -27,13 +28,12 @@
                python3-setuptools,
                python3-tk,
                texlive-latex-extra
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/lmfit-py.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/lmfit-py.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/lmfit-py.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/lmfit-py.git
 Homepage: http://lmfit.github.io/lmfit-py/
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Testsuite: autopkgtest
 
 Package: python-lmfit
 Architecture: all
