## lmfit-py 0.9.5+dfsg

=== requirements.txt ===
numpy>=1.5
scipy>=0.14
