=== debian/changelog ===
lmfit-py (0.9.5+dfsg-2) unstable; urgency=medium

  * Standards-Verion bumped to 3.9.8 (nothing to do)
  * Removed ipython(3)-notebook dependency (Closes: #840521)
  * Removed matplotlib, tk, latex, pandas Build-Depends (useless)
  * Simplified d/rules

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 15 Oct 2016 09:01:40 +0200

lmfit-py (0.9.5+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.9.5+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 17 Aug 2016 08:29:47 +0200
