=== debian/control ===
--- 
+++ 
@@ -6,29 +6,20 @@
 Priority: extra
 Build-Depends: debhelper (>= 9),
                dh-python,
-               dvipng,
-               ipython-notebook,
-               ipython3-notebook,
                python-all,
-               python-matplotlib,
                python-nose,
                python-numpy,
-               python-numpydoc,
                python-pandas,
                python-scipy,
                python-setuptools,
                python-sphinx,
-               python-tk,
                python3-all,
-               python3-matplotlib,
                python3-nose,
                python3-numpy,
                python3-pandas,
                python3-scipy,
                python3-setuptools,
-               python3-tk,
-               texlive-latex-extra
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/lmfit-py.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/lmfit-py.git
 Homepage: http://lmfit.github.io/lmfit-py/
