## lmfit-py 0.9.7+dfsg

=== requirements.txt ===
six>1.10
numpy>=1.9.1
scipy>=0.15.1
