=== debian/changelog ===
lmfit-py (0.9.7+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.7+dfsg
  * Standards-Verion bumped to 4.1.3 (extra -> optional)
  * d/watch
    - Updated to version 4

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 18 Feb 2018 10:55:39 +0100
