=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
 Testsuite: autopkgtest
-Priority: extra
+Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all,
@@ -18,8 +18,8 @@
                python3-numpy,
                python3-pandas,
                python3-scipy,
-               python3-setuptools,
-Standards-Version: 3.9.8
+               python3-setuptools
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/lmfit-py.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/lmfit-py.git
 Homepage: http://lmfit.github.io/lmfit-py/
@@ -29,9 +29,7 @@
 Package: python-lmfit
 Architecture: all
 Section: python
-Depends: ${misc:Depends},
-         ${python:Depends},
-         python-scipy
+Depends: python-scipy, ${misc:Depends}, ${python:Depends}
 Suggests: python-lmfit-doc
 Description: Least-Squares Minimization with Constraints (Python 2)
  The lmfit Python package provides a simple, flexible interface to
@@ -86,9 +84,7 @@
 Package: python3-lmfit
 Architecture: all
 Section: python
-Depends: ${misc:Depends},
-         ${python3:Depends},
-         python3-scipy
+Depends: python3-scipy, ${misc:Depends}, ${python3:Depends}
 Suggests: python-lmfit-doc
 Description: Least-Squares Minimization with Constraints (Python 3)
  The lmfit Python package provides a simple, flexible interface to
@@ -143,8 +139,7 @@
 Package: python-lmfit-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends},
-         ${sphinxdoc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Least-Squares Minimization with Constraints (Documentation)
  The lmfit Python package provides a simple, flexible interface to
  non-linear optimization or curve fitting problems. The package
