=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,8 @@
 # copy the tests to the build dir to be able to pass nose
 export PYBUILD_AFTER_BUILD=cp -r NIST_STRD {build_dir}
 export PYBUILD_BEFORE_INSTALL=rm -fr {build_dir}/NIST_STRD
+export PYBUILD_AFTER_INSTALL_python2=dh_numpy
+export PYBUILD_AFTER_INSTALL_python3=dh_numpy3
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
@@ -23,17 +25,6 @@
 	rm -rf doc/_static/conf_interval.png
 	dh_clean
 
-override_dh_install:
-	dh_install
-	dh_numpy
-	dh_numpy3
-
 override_dh_auto_build:
 	dh_auto_build
 	PYTHONPATH=. http_proxy='localhost' sphinx-build -N -bhtml doc/ build/html  # HTML generator
-
-## should be removed once #749506 solved
-override_dh_auto_test:
-	PYBUILD_SYSTEM=custom \
-	PYBUILD_TEST_ARGS='cd {build_dir} && {interpreter} -m nose' \
-	dh_auto_test --buildsystem=pybuild
