=== debian/tests/control ===
Tests: python2
Depends: python-lmfit, python-all, python-tk, python-nose, python-matplotlib, python-pandas, python-scipy

Tests: python3
Depends: python3-lmfit, python3-all, python3-tk, python3-nose, python3-matplotlib, python3-pandas, python3-scipy
