## lmfit-py 0.9.11+dfsg

=== requirements.txt ===
six>1.10
numpy>=1.10
scipy>=0.17
asteval>=0.9.12
uncertainties>=3.0
