=== debian/changelog ===
lmfit-py (0.9.11+dfsg-2ubuntu2) eoan; urgency=medium

  * Drop python2 support.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Aug 2019 20:59:59 -0700

lmfit-py (0.9.11+dfsg-2ubuntu1) disco; urgency=medium

  * Fix nan_policy_test for differential_evolution with SciPy 1.2

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 09 Apr 2019 11:19:18 +0000

lmfit-py (0.9.11+dfsg-2) unstable; urgency=medium

  * Team upload
  * Deactivate randomly failing test (thanks for the patch to
    Santiago Vila <sanvila@debian.org>)
    Closes: #921979
  * Standards-Version: 4.3.0
  * Remove build time test results from binary package

 -- Andreas Tille <tille@debian.org>  Mon, 18 Feb 2019 11:50:01 +0100

lmfit-py (0.9.11+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * New Build-Depends: python-asteval, python-uncertainties
  * Remove ancient X-Python*-Version fields
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Versioned Build-Depends: python*-uncertainties (>= 3.0.2.github~)
  * debian/copyright: do not mention local copy of uncertainties which
    was removed any more
  * Build-Depends: s/python-sphinx/python3-sphinx
  * Remove duplicated from in description
  * Drop unnecessary field Testsuite: autopkgtest

 -- Andreas Tille <tille@debian.org>  Sat, 13 Oct 2018 21:02:35 +0200
