=== debian/control ===
--- 
+++ 
@@ -1,90 +1,31 @@
 Source: lmfit-py
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
-Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                dh-python,
-               python-all,
-               python-nose,
-               python-numpy,
-               python-pandas,
-               python-scipy,
-               python-setuptools,
-               python-sphinx,
+               python3-sphinx,
                python3-all,
                python3-nose,
+               python3-asteval,
                python3-numpy,
                python3-pandas,
                python3-scipy,
-               python3-setuptools
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/lmfit-py.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/lmfit-py.git
+               python3-setuptools,
+               python3-uncertainties (>= 3.0.2.github~)
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/science-team/lmfit-py
+Vcs-Git: https://salsa.debian.org/science-team/lmfit-py.git
 Homepage: http://lmfit.github.io/lmfit-py/
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
-
-Package: python-lmfit
-Architecture: all
-Section: python
-Depends: python-scipy, ${misc:Depends}, ${python:Depends}
-Suggests: python-lmfit-doc
-Description: Least-Squares Minimization with Constraints (Python 2)
- The lmfit Python package provides a simple, flexible interface to
- non-linear optimization or curve fitting problems. The package
- extends the optimization capabilities of scipy.optimize by replacing
- floating pointing values for the variables to be optimized with
- Parameter objects. These Parameters can be fixed or varied, have
- upper and/or lower bounds placed on its value, or written as an
- algebraic expression of other Parameters.
- .
- The principal advantage of using Parameters instead of simple
- variables is that the objective function does not have to be
- rewritten to reflect every change of what is varied in the fit, or
- what relationships or constraints are placed on the Parameters. This
- means a scientific programmer can write a general model that
- encapsulates the phenomenon to be optimized, and then allow user of
- that model to change what is varied and fixed, what range of values
- is acceptable for Parameters, and what constraints are placed on the
- model. The ease with which the model can be changed also allows one
- to easily test the significance of certain Parameters in a fitting
- model.
- .
- The lmfit package allows a choice of several optimization methods
- available from scipy.optimize. The default, and by far best tested
- optimization method used is the Levenberg-Marquardt algorithm from
- from MINPACK-1 as implemented in scipy.optimize.leastsq. This method
- is by far the most tested and best support method in lmfit, and much
- of this document assumes this algorithm is used unless explicitly
- stated. An important point for many scientific analysis is that this
- is only method that automatically estimates uncertainties and
- correlations between fitted variables from the covariance matrix
- calculated during the fit.
- .
- A few other optimization routines are also supported, including
- Nelder-Mead simplex downhill, Powell's method, COBYLA, Sequential
- Least Squares methods as implemented in scipy.optimize.fmin, and
- several others from scipy.optimize. In their native form, some of
- these methods setting allow upper or lower bounds on parameter
- variables, or adding constraints on fitted variables. By using
- Parameter objects, lmfit allows bounds and constraints for all of
- these methods, and makes it easy to swap between methods without
- hanging the objective function or set of Parameters.
- .
- Finally, because the approach derived from MINPACK-1 usin the
- covariance matrix to determine uncertainties is sometimes questioned
- (and sometimes rightly so), lmfit supports methods to do a brute
- force search of the confidence intervals and correlations for sets of
- parameters.
- .
- This is the Python 2 version of the package.
 
 Package: python3-lmfit
 Architecture: all
 Section: python
-Depends: python3-scipy, ${misc:Depends}, ${python3:Depends}
+Depends: python3-scipy,
+         ${misc:Depends},
+         ${python3:Depends}
 Suggests: python-lmfit-doc
 Description: Least-Squares Minimization with Constraints (Python 3)
  The lmfit Python package provides a simple, flexible interface to
@@ -110,7 +51,7 @@
  The lmfit package allows a choice of several optimization methods
  available from scipy.optimize. The default, and by far best tested
  optimization method used is the Levenberg-Marquardt algorithm from
- from MINPACK-1 as implemented in scipy.optimize.leastsq. This method
+ MINPACK-1 as implemented in scipy.optimize.leastsq. This method
  is by far the most tested and best support method in lmfit, and much
  of this document assumes this algorithm is used unless explicitly
  stated. An important point for many scientific analysis is that this
@@ -139,7 +80,9 @@
 Package: python-lmfit-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
+         libjs-mathjax
 Description: Least-Squares Minimization with Constraints (Documentation)
  The lmfit Python package provides a simple, flexible interface to
  non-linear optimization or curve fitting problems. The package
@@ -164,7 +107,7 @@
  The lmfit package allows a choice of several optimization methods
  available from scipy.optimize. The default, and by far best tested
  optimization method used is the Levenberg-Marquardt algorithm from
- from MINPACK-1 as implemented in scipy.optimize.leastsq. This method
+ MINPACK-1 as implemented in scipy.optimize.leastsq. This method
  is by far the most tested and best support method in lmfit, and much
  of this document assumes this algorithm is used unless explicitly
  stated. An important point for many scientific analysis is that this
