=== debian/rules ===
--- 
+++ 
@@ -14,11 +14,10 @@
 # copy the tests to the build dir to be able to pass nose
 export PYBUILD_AFTER_BUILD=cp -r NIST_STRD {build_dir}
 export PYBUILD_BEFORE_INSTALL=rm -fr {build_dir}/NIST_STRD
-export PYBUILD_AFTER_INSTALL_python2=dh_numpy
 export PYBUILD_AFTER_INSTALL_python3=dh_numpy3
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_clean:
 	rm -rf doc/_static/conf_interval2.png
@@ -28,3 +27,20 @@
 override_dh_auto_build:
 	dh_auto_build
 	PYTHONPATH=. http_proxy='localhost' sphinx-build -N -bhtml doc/ build/html  # HTML generator
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	find .pybuild -name build -type d -exec ln -s $(CURDIR)/examples \{\} \;
+	dh_auto_test
+	find . -name "*.sav" -delete
+endif
+
+override_dh_installdocs-indep:
+	dh_installdocs -p python-$(PYBUILD_NAME)-doc --doc-main-package python3-$(PYBUILD_NAME)
+	dh_installdocs -p python3-$(PYBUILD_NAME)
+	find debian/python-$(PYBUILD_NAME)-doc/usr/share/doc -name "*.html" -type f | xargs sed -i 's;https://cdn[js]*\..*/MathJax.js;_static/MathJax.js;g'
+	ln -s /usr/share/javascript/mathjax/MathJax.js  debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python3-$(PYBUILD_NAME)/html/_static
+
+override_dh_python3:
+	dh_python3
+	find . -name python3.7 -type d | xargs rm -rf
