=== debian/tests/control ===
Tests: python3
Depends: python3-lmfit, python3-all, python3-tk, python3-nose, python3-matplotlib, python3-pandas, python3-scipy
