## lmfit-py 0.9.14

=== debian/changelog ===
lmfit-py (0.9.14-1ubuntu1) focal; urgency=medium

  * Build against only the current python3, as lmfit-py 0.9.14 fails tests
    against python3.8.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 29 Oct 2019 12:39:54 -0700

lmfit-py (0.9.14-1) unstable; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 0.9.14
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP.
  * Use debhelper-compat instead of debian/compat.
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.
  * Added the salsa-ci.yml file.
  * d/control: Added python3-ipython to Build-Depends.
  * unactivated the doc build until jupyter_sphinx is available.
  * replace nose -> pytest
  * install doc via d/rules
  * Remove Python2 module (Closes: #936960)
  * switched to compat level 12
  * Bumped Standards-Version to 4.4.1 (nothing to do)

  [ Andreas Tille ]
  * New upstream version 0.9.11+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 20 Oct 2019 16:43:41 +0200
