=== debian/control ===
--- 
+++ 
@@ -4,18 +4,19 @@
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python3-sphinx,
-               python3-all,
-               python3-nose,
+               python3,
                python3-asteval,
+               python3-ipython <!nodoc>,
                python3-numpy,
                python3-pandas,
+               python3-pytest <!nocheck>,
                python3-scipy,
                python3-setuptools,
+               python3-sphinx <!nodoc>,
                python3-uncertainties (>= 3.0.2.github~)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/science-team/lmfit-py
 Vcs-Git: https://salsa.debian.org/science-team/lmfit-py.git
 Homepage: http://lmfit.github.io/lmfit-py/
@@ -23,9 +24,7 @@
 Package: python3-lmfit
 Architecture: all
 Section: python
-Depends: python3-scipy,
-         ${misc:Depends},
-         ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
 Suggests: python-lmfit-doc
 Description: Least-Squares Minimization with Constraints (Python 3)
  The lmfit Python package provides a simple, flexible interface to
@@ -80,9 +79,7 @@
 Package: python-lmfit-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends},
-         ${sphinxdoc:Depends},
-         libjs-mathjax
+Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Least-Squares Minimization with Constraints (Documentation)
  The lmfit Python package provides a simple, flexible interface to
  non-linear optimization or curve fitting problems. The package
