=== debian/tests/control ===
Tests: python3
Depends: python3,
         python3-lmfit,
         python3-matplotlib,
         python3-nose,
         python3-pandas,
         python3-scipy,
         python3-tk
