=== debian/changelog ===
lmfit-py (1.0.0-1) unstable; urgency=medium

  [ Alexandre Marie ]
  * Fixed compatibility with python3.8 (Closes: #943786)
  * Forced asteval version to >=0.9.16

  [ Picca Frédéric-Emmanuel ]
  * added jupyter-sphinx as Build-Depends
  * Forgotten with the previous upload (Closes: #934871, #922111)
  * Do not build the documentation for now.

  [ Andreas Tille ]
  * Use secure URI in Homepage field.
  * Fix day-of-week for changelog entry 0.8.3+dfsg.1-1~exp1.
  * Build-Depends: python3-sphinx-gallery
  TODO:
    Exception occurred:
      File "/usr/lib/python3/dist-packages/sphinx_gallery/gen_gallery.py", line 313, in sumarize_failing_examples
        "\n" + "-" * 79)
    ValueError: Here is a summary of the problems encountered when running the examples

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 23 Dec 2019 13:52:39 +0100
