=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: lmfit-py
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python3,
-               python3-asteval,
+               python3-all,
+               python3-asteval(>=0.9.16),
                python3-ipython <!nodoc>,
+               python3-jupyter-sphinx <!nodoc>,
                python3-numpy,
                python3-pandas,
                python3-pytest <!nocheck>,
                python3-scipy,
                python3-setuptools,
                python3-sphinx <!nodoc>,
+               python3-sphinx-gallery <!nodoc>,
                python3-uncertainties (>= 3.0.2.github~)
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/science-team/lmfit-py
 Vcs-Git: https://salsa.debian.org/science-team/lmfit-py.git
-Homepage: http://lmfit.github.io/lmfit-py/
+Homepage: https://lmfit.github.io/lmfit-py/
 
 Package: python3-lmfit
 Architecture: all
