=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Tests: python3
-Depends: python3,
+Depends: python3-all,
          python3-lmfit,
          python3-matplotlib,
          python3-nose,
